package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Bed;
import com.brilliance.isc.bo.Bet;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Bedgrp extends AbstractCommonVo {

    private Bed rec;

    private Bet blk;

    private Beacbs cbs;

    private PtsptaVo ben;

    private PtsptaVo apl;

    private PtsptaVo iss;

    private PtsptaVo rmb;

    private PtsptaVo prb;

    private PtsptaVo acb;

    private PtsptaVo beb;

    private PtsptaVo oap;

    private PtsptaVo pub;

    private PtsptaVo doc;

    private PtsptaVo oth;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new Bed();
        }
        if (blk == null) {
            blk = new Bet();
        }
        if (cbs == null) {
            cbs = new Beacbs();
        }
        cbs.reset();
        if (ben == null) {
            ben = new PtsptaVo();
        }
        ben.reset();
        if (apl == null) {
            apl = new PtsptaVo();
        }
        apl.reset();
        if (iss == null) {
            iss = new PtsptaVo();
        }
        iss.reset();
        if (rmb == null) {
            rmb = new PtsptaVo();
        }
        rmb.reset();
        if (prb == null) {
            prb = new PtsptaVo();
        }
        prb.reset();
        if (acb == null) {
            acb = new PtsptaVo();
        }
        acb.reset();
        if (beb == null) {
            beb = new PtsptaVo();
        }
        beb.reset();
        if (oap == null) {
            oap = new PtsptaVo();
        }
        oap.reset();
        if (pub == null) {
            pub = new PtsptaVo();
        }
        pub.reset();
        if (doc == null) {
            doc = new PtsptaVo();
        }
        doc.reset();
        if (oth == null) {
            oth = new PtsptaVo();
        }
        oth.reset();

    }
}
